KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME

kubeadm join phase control-plane-prepare control-plane - Generate the manifests for the new control plane components

SYNOPSIS

kubeadm join phase control-plane-prepare control-plane [OPTIONS]

DESCRIPTION

Generate the manifests for the new control plane components

OPTIONS

--apiserver-advertise-address=""
    If the node should host a new control plane instance, the IP address the API Server will advertise it's listening on. If not set the default network interface will be used.

--apiserver-bind-port=6443
    If the node should host a new control plane instance, the port for the API Server to bind to.

--config=""
    Path to a kubeadm configuration file.

--control-plane=false
    Create a new control plane instance on this node

--dry-run=false
    Don't apply any changes; just output what would be done.

--patches=""
    Path to a directory that contains files named "target[suffix][+patchtype].extension". For example, "kube-apiserver0+merge.yaml" or just "etcd.json". "target" can be one of "kube-apiserver", "kube-controller-manager", "kube-scheduler", "etcd", "kubeletconfiguration", "corednsdeployment". "patchtype" can be one of "strategic", "merge" or "json" and they match the patch formats supported by kubectl. The default "patchtype" is "strategic". "extension" must be either "json" or "yaml". "suffix" is an optional string that can be used to determine which patches are applied first alpha-numerically.

OPTIONS INHERITED FROM PARENT COMMANDS

--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

SEE ALSO

kubeadm-join-phase-control-plane-prepare(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!